# $Revision: 1.19 $, $Date: 2012/02/11 10:07:51 $
Summary:	Userspace bootsplash utility
Summary(de.UTF-8):	Eine Boosplashes Utility die auf der Benutzerebene arbeitet
Summary(pl.UTF-8):	Narzędzie do bootsplasha w przestrzeni użytkownika
Name:		usplash
Version:	0.5.19
Release:	5
License:	GPL
Group:		Applications
Source0:	http://ftp.debian.org/debian/pool/main/u/usplash/%{name}_%{version}.orig.tar.gz
# Source0-md5:	ede767c140267db65b956d04276d4a23
Patch0:		%{name}-includes.patch
URL:		https://wiki.ubuntu.com/USplash
BuildRequires:	dpkg
BuildRequires:	gd-devel >= 2.0.0
BuildRequires:	libpng-devel
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
Usplash is a userspace application that uses the Linux framebuffer
interface to draw a splash screen at boot. It has a companion utility
that is able to send commands to usplash, allowing information about
the bootup sequence to be displayed in a more attractive way.

%description -l de.UTF-8
Usplash ist ein Programm dass auf der Benutzerebene arbeit und den
Linux Framepuffer benutzt um ein Bild beim Booten zu zeichnen. Es hat
ein Begleitprogramm dass Befehle an Usplash sendet, die dazu dienen
die Bootvorgang Informationen atraktiver zu gestalten.

%description -l pl.UTF-8
Usplash to aplikacja działająca w przestrzeni użytkownika
wykorzystująca linuksowy interfejs framebuffera do rysowania ekranu
startowego (splash screen) podczas startu systemu. Zawiera
towarzyszące narzędzie do wysyłania poleceń do usplasha, pozwalające
wyświetlać informacje o sekwencji startowej w bardziej atrakcyjny
sposób.

%package devel
Summary:	Usplash header files
Summary(de.UTF-8):	Usplash header Dateien
Summary(pl.UTF-8):	Pliki nagłówkowe usplasha
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Usplash header files.

%description devel -l de.UTF-8
Usplash header Dateien.

%description devel -l pl.UTF-8
Pliki nagłówkowe usplasha.

%prep
%setup -q -n %{name}
%patch0 -p0

%build
%{__make} -C bogl \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC" \
	LDFLAGS="%{rpmldflags}"

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_prefix}/%{_sbindir}/*
%attr(755,root,root) /lib/libusplash.so.0

%files devel
%defattr(644,root,root,755)
%{_includedir}/*.h
%attr(755,root,root) /lib/libusplash.so

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: usplash.spec,v $
Revision 1.19  2012/02/11 10:07:51  adamg
- release 5 (rebuild against libpng-1.5)

Revision 1.18  2012/02/07 22:08:15  arekm
- release 4

Revision 1.17  2011/12/20 19:35:05  arekm
- release 3

Revision 1.16  2010/02/09 01:25:37  sparky
- BR: dpkg

Revision 1.15  2010/02/06 21:15:01  arekm
- release 2

Revision 1.14  2008/08/27 17:22:30  rotom
- up to 0.5.19

Revision 1.13  2007/08/23 15:31:38  shadzik
- R: /sbin/ldconfig

Revision 1.12  2007/08/23 14:58:46  shadzik
- package .so link in -devel subpackage
- rel 4

Revision 1.11  2007/08/23 14:35:31  shadzik
- add post and postun
- rel 3

Revision 1.10  2007/08/23 14:03:15  shadzik
- -devel  subpackage
- rel 2

Revision 1.9  2007/08/23 13:49:46  shadzik
- 0.5.2
- rel 1

Revision 1.8  2007/08/23 13:27:57  shadzik
- fix build on current th
- pass LDFLAGS

Revision 1.7  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.5  2006/11/19 03:07:12  shadzik
- 0.3e
- Source0 from debian ftp

Revision 1.4  2006/05/19 03:05:54  shadzik
- de

Revision 1.3  2006/05/19 02:12:20  shadzik
- CC and CFLAGS added

Revision 1.2  2006/03/21 19:48:28  qboosh
- pl

Revision 1.1  2006/03/16 20:45:17  patrys
- taken from Ubuntu
- NFY
